summaryrefslogtreecommitdiff
path: root/net-libs
diff options
context:
space:
mode:
authorsss <sss@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-17 17:40:52 +0000
committersss <sss@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-17 17:40:52 +0000
commit888fcec1b9d4304741378a218ffd9bf6364f1617 (patch)
tree07022e0efc6b94c5f552e9b465cf3f2b4115e669 /net-libs
parent1f3c3fa9fcc97c3ef9b0b0364a536a5e884b7429 (diff)
git-svn-id: http://172.18.13.13/svn/sss_overlay@3 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/opal/opal-3.4.4.ebuild70
1 files changed, 70 insertions, 0 deletions
diff --git a/net-libs/opal/opal-3.4.4.ebuild b/net-libs/opal/opal-3.4.4.ebuild
new file mode 100644
index 0000000..7231f62
--- /dev/null
+++ b/net-libs/opal/opal-3.4.4.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils flag-o-matic
+
+DESCRIPTION="C++ class library normalising numerous telephony protocols"
+HOMEPAGE="http://www.opalvoip.org/"
+SRC_URI="mirror://sourceforge/opalvoip/${P}.tar.bz2"
+
+LICENSE="MPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug doc java"
+
+RDEPEND=">=dev-libs/ptlib-2.0.0
+ >=media-video/ffmpeg-0.4.7
+ media-libs/speex
+ java? ( virtual/jdk )"
+
+pkg_setup() {
+ if use debug && ! built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib with USE=debug enabled."
+ die "dev-libs/ptlib has to be built with USE=debug"
+ fi
+
+ if ! use debug && built_with_use dev-libs/ptlib debug; then
+ eerror "You need to build dev-libs/ptlib without USE=debug."
+ die "dev-libs/ptlib has not to be built with USE=debug"
+ fi
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ epatch "${FILESDIR}"/${PN}-lpcini.patch
+}
+
+src_compile() {
+ local makeopts
+
+ filter-ldflags -Wl,--as-needed --as-needed
+
+ # zrtp doesn't depend on net-libs/libzrtpcpp but on libzrtp from
+ # http://zfoneproject.com/ that is not in portage
+ econf \
+ $(use_enable debug) \
+ $(use_enable java) \
+ --enable-plugins \
+ --disable-localspeex \
+ --disable-zrtp \
+ || die "econf failed"
+
+ if use debug; then
+ makeopts="debug"
+ else
+ makeopts="opt"
+ fi
+
+ emake ${makeopts} || die "emake failed"
+}
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ dohtml -r html/* docs/* || die "documentation installation failed"
+ fi
+}